gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An object that gets invoked at the beginning of an application but before the application main loop starts. It's used largely for application setup--- for example, reading RC files. System.Object
- Method
  System.Void `` Registers a function to be called when the mainloop is started. a
- Constructor
  Default constructor
  a
- Method
  System.Boolean `` Initializes Gtk# for operation, probes window system. a The command line arguments passed in. Changed if any arguments were handled. True if the toolkit initialized correctly, false otherwise. Aside from the arguments, this function behaves in the same way as . By returning whether or not the toolkit initialized correctly, it allows the application to fall back to a non-GUI interface, should the developer be so inclined to write one.